* {
  box-sizing: border-box;
}

body {
  background: #000;
  font-family: Monospace;
}

/*=== Main Section, this is your screen ===*/
#main {
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: 600px;
  margin-top: calc((100vh - 600px)/2);
}

#mainMenu {
  display: none;
  color: #f1f1f1;
  width: 100%;
  margin-top: -170px;
}

#mainMenu h1 {
  font-size: 140px;
  text-align: center;
  margin-bottom: 0;
  text-shadow: 0 0 5px #a70535;
  text-shadow: 0 0 10px #a70535;
  text-shadow: 0 0 15px #B6FF00;
  text-shadow: 0 0 20px #B6FF00;
  text-shadow: 0 0 25px #B6FF00;
  text-shadow: 0 0 30px #B6FF00;
  text-shadow: 0 0 35px #B6FF00;
  text-shadow: 0 0 40px #B6FF00;
  text-shadow: 0 0 45px #B6FF00;
}

#mainMenu .menuArea {
 width: 100%;
 height: auto;
 padding: 10px;
}

.section {
  text-align: center;
}

.section h2 {
  color: #B6FF00;
}

.section b {
  color: #B6FF00;
}

.section p {
  font-size: 16px;
}

.sct_2 div {
display: inline-block;
margin-right: 50px;
margin-left: 50px;
}

.buttons {
  text-align: center;
}

.thanks {
  padding: 5px;
  text-align: center;
}

.mainAgain {
font-family: monospace;
display: inline-block;
text-align: center;
padding: 10px 20px;
font-size: 24px;
font-weight: bold;
border: none;
margin: 15px;
transition: .2s ease-in-out;
}

.icons img {
  width: 50px;
}

#mainMenu a {
  color: #B6FF00;
  text-decoration: none;
}

#mainMenu a:hover {
  color: #a70535;
}

/*=== EndGame Section (If game over, display will be block) ===*/
.endGameMessage {
  display: none;
  text-align: center;
}

.endGameMessage h1, .endGameMessage h2 {
  margin: 0;
  font-size: 96px;
  background: #000;
  color: #f1f1f1;
  text-shadow: 0 0 5px #a70535;
  text-shadow: 0 0 10px #a70535;
  text-shadow: 0 0 15px #B6FF00;
  text-shadow: 0 0 20px #B6FF00;
  text-shadow: 0 0 25px #B6FF00;
  text-shadow: 0 0 30px #B6FF00;
  text-shadow: 0 0 35px #B6FF00;
  text-shadow: 0 0 40px #B6FF00;
  text-shadow: 0 0 45px #B6FF00;
}

/*=== EndGame Section Player Score ===*/
.endGameMessage .score {
  display: inline-block;
  font-family: Monospace;
  padding: 10px 30px;
  margin: 0;
  font-size: 150px;
  color: #f1f1f1;
  transition: .4s ease-in;
  text-shadow: 1px 1px 1px #000;
}

/*=== EndGame Section Buttons ===*/
.again,
.main_menu {
  font-family: monospace;
  display: inline-block;
  text-align: center;
  padding: 10px 20px;
  font-size: 24px;
  font-weight: bold;
  border: none;
  margin: auto;
  margin-right: 15px;
  transition: .2s ease-in-out;
}

.again:hover,
.main_menu:hover, .mainAgain:hover {
  column-rule-color: #a70535;
  cursor: pointer;
  box-shadow: 0 0 5px #B6FF00,
  0 0 10px #B6FF00,
  0 0 20px #B6FF00,
  0 0 30px #B6FF00,
  0 0 40px #B6FF00;
  transform: scale(1.1);
}

/*=== EndGame Section Rank ===*/
.baby, .disintegrate, .minotaur, .goose {
  display: none;
  color: #f1f1f1;
  font-size: 30px;
  text-align: left;
  margin-top: 8vh;
}

.baby img, .disintegrate img, .minotaur img, .goose img {
  width: 80px;
  float: right;
  margin-top: -20px;
}

/*=== Game Area ===*/
#universe {
  position: relative;
  width: 1000px;
  height: 600px;
  border: 8px dashed #f1f1f1;
  background: url(./background/767598.jpg) no-repeat 70% center/cover;
}

/*=== Score Section ===*/
.sc {
  font-size: 10px;
  position: absolute;
  left: 5px;
  top: -5px;
  ;
  color: #B6FF00;
  text-shadow: 3px 2px 2px #a70535;
  font-size: 14px;
}

/*=== Life Section ===*/
.lf {
  font-size: 10px;
  position: absolute;
  right: 5px;
  top: -5px;
  color: #B6FF00;
  text-shadow: 3px 2px 2px #a70535;
  font-size: 14px;
}

/*=== Spaceship ===*/
#paddle {
  position: absolute;
  bottom: 5px;
  left: 633px;
  width: 100px;
  height: 25px;
  /* background: #fff;
  box-shadow: 0 0 5px #fff,
  0 0 10px #fff,
  0 0 20px #ff0080,
  0 0 30px #ff0080,
  0 0 40px #ff0080 */
}

/*=== Enemy's Bombs ===*/
#bomb_1, #bomb_2 {
  position: absolute;
  width: 50px;
  height: 50px;
 }

 /*=== Enemy "Metroid" ===*/
#enemy_1 {
  position: absolute;
  width: 50px;
  height: 50px;
}

/*=== Enemy "Beholder" ===*/
#enemy_2 {
  position: absolute;
  width: 50px;
  height: 50px;
}

/*=== Spaceship "rocket bullet" ===*/
#bullet {
  display: none;
  position: absolute;
  width: 20px;
  height: 20px;
}


/*=== ANIMATIONS ===*/

.pulsate-bck {
  -webkit-animation: pulsate-bck 0.5s ease-in-out infinite both;
  animation: pulsate-bck 0.5s ease-in-out infinite both;
}

/* ----------------------------------------------
 * Generated by Animista on 2018-10-29 15:17:43
 * w: http://animista.net, t: @cssanimista
 * ---------------------------------------------- */

/**
 * ----------------------------------------
 * animation pulsate-bck
 * ----------------------------------------
 */
@-webkit-keyframes pulsate-bck {
  0% {
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
  }

  25% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }

  50% {
    -webkit-transform: scale(0.9);
    transform: scale(0.9);
  }

  75% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }

  100% {
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
  }
}

@keyframes pulsate-bck {
  0% {
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
  }

  25% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
  50% {
    -webkit-transform: scale(0.9);
    transform: scale(0.9);
  }

  75% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
  100% {
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
  }
}

.scale-out-bottom {
  -webkit-animation: scale-out-bottom 0.5s cubic-bezier(0.550, 0.085, 0.680, 0.530) both;
  animation: scale-out-bottom 0.5s cubic-bezier(0.550, 0.085, 0.680, 0.530) both;
}

/* ----------------------------------------------
 * Generated by Animista on 2018-10-29 15:43:59
 * w: http://animista.net, t: @cssanimista
 * ---------------------------------------------- */

/**
 * ----------------------------------------
 * animation scale-out-bottom
 * ----------------------------------------
 */
@-webkit-keyframes scale-out-bottom {
  0% {
    -webkit-transform: scale(1);
    transform: scale(1);
    -webkit-transform-origin: 50% 100%;
    transform-origin: 50% 100%;
    opacity: 1;
  }

  100% {
    -webkit-transform: scale(0);
    transform: scale(0);
    -webkit-transform-origin: 50% 100%;
    transform-origin: 50% 100%;
    opacity: 1;
  }
}

@keyframes scale-out-bottom {
  0% {
    -webkit-transform: scale(1);
    transform: scale(1);
    -webkit-transform-origin: 50% 100%;
    transform-origin: 50% 100%;
    opacity: 1;
  }

  100% {
    -webkit-transform: scale(0);
    transform: scale(0);
    -webkit-transform-origin: 50% 100%;
    transform-origin: 50% 100%;
    opacity: 1;
  }
}
